class CreateKaps < ActiveRecord::Migration
  def change
    create_table :kaps do |t|
      t.integer :kaps_type_id, :default => 1
      t.references :p_customer, index: true, foreign_key: true
      t.references :kaps_cat
      t.boolean :public, :default => false
      t.string :name
      t.text :description
      t.integer :origin_kaps_id
      t.integer :origin_author_id
      t.boolean :archived, :default => false
      t.integer :points, :default => 1
      

      t.timestamps null: false
    end
  end
end
